#!/bin/bash

list_templates() {
	for dir in $HOME/.config/templates/*/
	do
		dir=${dir%*/}
		echo "${dir##*/}"
	done
}

if [[ -z "$1" ]]; then
	echo "No template provided."
	echo "Available templates:"
	list_templates
	exit
fi

if [ ! -d "$HOME/.config/templates/$1" ]; then
	echo "Template doesn't exist!"
	echo "Available templates:"
	list_templates
	exit
else
	cp -r $HOME/.config/templates/$1/* .
	git init
fi



